<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black">

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/refresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.scwang.smartrefresh.layout.SmartRefreshLayout
            android:id="@+id/smartRefreshLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:srlEnableLoadMore="true"
            app:srlEnableRefresh="false">

            <com.scwang.smartrefresh.layout.header.ClassicsHeader
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <com.gh.gamecenter.common.view.vertical_recycler.CustomRecyclerView
                    android:id="@+id/recyclerview"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />

                <TextView
                    android:id="@+id/toastTv"
                    android:layout_width="80dp"
                    android:layout_height="30dp"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="79dp"
                    android:alpha="0"
                    android:background="@drawable/round_333_alpha_20"
                    android:gravity="center"
                    android:text="已刷新"
                    android:textColor="@color/white"
                    android:textSize="12sp" />
            </RelativeLayout>

            <com.scwang.smartrefresh.layout.footer.ClassicsFooter
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:srlTextSizeTitle="12sp" />
        </com.scwang.smartrefresh.layout.SmartRefreshLayout>
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <RelativeLayout
        android:id="@+id/toolbarRl"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <com.gh.gamecenter.common.view.StatusBarView
            android:id="@+id/statusbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <FrameLayout
            android:id="@+id/errorContainer"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@id/statusbar"
            android:background="@color/ui_surface"
            android:visibility="gone">

            <include
                android:id="@+id/reuse_no_connection"
                layout="@layout/reuse_no_connection" />

            <include
                android:id="@+id/reuse_none_data"
                layout="@layout/reuse_none_data" />

            <include
                android:id="@+id/reuse_data_exception"
                layout="@layout/reuse_data_exception" />

        </FrameLayout>

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="?attr/actionBarSize"
            android:layout_below="@id/statusbar"
            android:background="@android:color/transparent"
            android:popupTheme="@style/ThemeOverlay.AppCompat.Light"
            android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar"
            app:navigationIcon="@null" />

        <TextView
            android:id="@+id/titleTv"
            android:layout_width="wrap_content"
            android:layout_height="?attr/actionBarSize"
            android:layout_below="@id/statusbar"
            android:layout_centerHorizontal="true"
            android:gravity="center"
            android:text=""
            android:textColor="@color/white"
            android:textSize="16sp"
            android:textStyle="bold" />

    </RelativeLayout>

    <LinearLayout
        android:id="@+id/attentionNoDataContainer"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/icon_video_detail_attention_no_data" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:text="暂无关注人动态"
            android:textColor="@color/white_alpha_80"
            android:textSize="16sp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:text="快去寻找更多有趣的游戏分享者吧"
            android:textColor="@color/white_alpha_40"
            android:textSize="14sp" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/attentionNoLoginContainer"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone"
        tools:visibility="visible">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/icon_video_detail_not_login" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:text="您还未登录"
            android:textColor="@color/white_alpha_80"
            android:textSize="16sp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:text="登录账号，查看你关注的精彩内容"
            android:textColor="@color/white_alpha_40"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/loginBtn"
            android:layout_width="196dp"
            android:layout_height="44dp"
            android:layout_marginTop="47dp"
            android:background="@drawable/bg_notification_open_btn_style_2"
            android:gravity="center"
            android:text="登录"
            android:textColor="@color/white_alpha_80"
            android:textSize="15sp" />

    </LinearLayout>
</RelativeLayout>